# ParadisSO - a minimal 2D graphics engine

**ParadiSO** was conceived as a heavily stripped down version of my pixwerx engine. It is a minimalistic 2D graphics engine for educational purposes. It uses modern C++ and a datadriven design, but no ECS. 

## Educational

Some arguments for its educational side:

* mix and match of various concepts and paradigms to write expressive but concise code 
* heavily inspired by Rust code
* math code is eager evaluation but `constexpr` to compensate overheads
* hides old-style `C` APIs behind a renovated facade
* it leans heavily on the STL and its algorithms 